Mitarbeitende
Änderungshistorie einer Person
Returns paginated audit trail for all activity related to an employee.
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
employee*string
The employee ID
Format
uuidQuery-Parameter
type?string
Erlaubte Werte
- "all"
- "employee"
- "compensation"
- "working_time"
- "leave"
- "schedule"
per_page?integer
Capped at 50 by the controller, see IndexAuditLogRequest.
Wertebereich
1 <= valueResponse-Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit_trail"{ "data": [ { "id": "string", "event": "string", "subject_type": "string", "subject_label": "string", "causer_name": "string", "causer_id": "string", "description": "string", "changes": { "old": "string", "new": "string" }, "created_at": "string" } ], "links": { "first": "string", "last": "string", "prev": "string", "next": "string" }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": "string", "label": "string", "active": true } ], "path": "string", "per_page": 0, "to": 1, "total": 0 }}